#include "xattr.h"

#include <stdio.h>

#ifdef XATTR_DEBUG
#define XATTR_STDERR(fmt, args...) fprintf (stderr, fmt, ##args)
#else
#define XATTR_STDERR(fmt, args...) do {} while (0)
#endif


/* Free remaining resources after all files have been processed. */
void
xattr_cleanup ()
{
	XATTR_STDERR ("Cleaning up resources from xattrs.\n");
}

/* This is the entry point to the xattr module. This function copies the xattrs
 * from the file at 'path' to the file system object at 'ino'.
 *
 * Parameters:
 *   fs:  the file system object for the fs we're operating on
 *   ino: inode for the object we're labeling
 *   path: path to the object we're copying xattrs from
 */
errcode_t
set_inode_xattr (ext2_filsys fs, ext2_ino_t ino, const char *path)
{
	errcode_t ret = 0;

	XATTR_STDERR ("Copying xattrs from %s to inode 0x%x.\n", path, ino);
	return ret;
}
